VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Example"
   ClientHeight    =   1515
   ClientLeft      =   45
   ClientTop       =   345
   ClientWidth     =   4710
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1515
   ScaleWidth      =   4710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnDemo 
      Caption         =   "Example"
      Height          =   495
      Left            =   1680
      TabIndex        =   0
      Top             =   480
      Width           =   1335
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Interface definitions.
'==============================================================================================================
Private Declare Function oakBegin Lib "pcltotiff.dll" Alias "_oakBegin@0" () As Long
Private Declare Sub oakEnd Lib "pcltotiff.dll" Alias "_oakEnd@4" (ByVal id As Long)
Private Declare Function oakExport Lib "pcltotiff.dll" Alias "_oakExport@4" (ByVal id As Long) As Long
Private Declare Function oakSetOption Lib "pcltotiff.dll" Alias "_oakSetOption@24" (ByVal id As Long, ByVal code As Long, ByVal nPara1 As Long, ByVal nPara2 As Long, ByVal sPara1 As String, ByVal sPara2 As String) As Long
Private Declare Function oakGetOption Lib "pcltotiff.dll" Alias "_oakGetOption@24" (ByVal id As Long, ByVal code As Long, ByVal nPara1 As Long, ByVal nPara2 As Long, ByVal sPara1 As String, ByVal sPara2 As String) As Long


'Definitions of oakSetOption's nIndex properties
'==============================================================================================================
Const OAK_Set_Output = 2101
Const OAK_Set_Input = 2102
Const OAK_Set_DPI = 2103
Const OAK_Set_ColorDepth = 2104
Const OAK_Set_Compression = 2108
Const OAK_Set_Quality = 2109


'TIFF tag's definitions.
'==============================================================================================================
Const OAK_COMPRESSION_NONE = 1
Const OAK_COMPRESSION_RLE = 2
Const OAK_COMPRESSION_G3 = 3
Const OAK_COMPRESSION_G4 = 4
Const OAK_COMPRESSION_LZW = 5
Const OAK_COMPRESSION_JPEG = 6
Const OAK_COMPRESSION_PACKBITS = 7

'Color Depth
'==============================================================================================================
Const oak_color_1 = 1    '2 colors
Const oak_color_4 = 4    '16 colors
Const oak_color_8_g = 7  '256 grayscale colors
Const oak_color_8 = 8    '256 colors
Const oak_color_24 = 24  'true colors



'==============================================================================================================
Private Sub btnDemo_Click()
   Dim id As Long
   Dim isMultiPage As Long
   Dim xdpi, ydpi As Long
   Dim iCompression As Long
   Dim sOutTifFname As String
   
   id = oakBegin()
   If id > 0 Then
   
      '=============================================================
      'set output file
      isMultiPage = False
      sOutTifFname = "lzw.tif"
      oakSetOption id, OAK_Set_Output, 0, isMultiPage, sOutTifFname, 0
      
      'set dpi
      xdpi = 150
      ydpi = 150
      oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
      
      'set compress
      iCompression = OAK_COMPRESSION_LZW
      oakSetOption id, OAK_Set_Compression, iCompression, 0, 0, 0
      
      'set input file
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test1.pcl", 0
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test2.pcl", 0
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test3.pcl", 0
      
      'strat Convert
      oakExport id
      
       oakEnd id
   End If
   
      '=============================================================
   id = oakBegin()
   If id > 0 Then
       'set output file
      isMultiPage = True
      sOutTifFname = "MultiPage_g4.tif"
      oakSetOption id, OAK_Set_Output, 0, isMultiPage, sOutTifFname, 0
      
      'set dpi
      xdpi = 150
      ydpi = 150
      oakSetOption id, OAK_Set_DPI, xdpi, ydpi, 0, 0
      
      'set Color Depth
      oakSetOption id, OAK_Set_ColorDepth, oak_color_1, 0, 0, 0
      
      'set compress
      iCompression = OAK_COMPRESSION_G4
      oakSetOption id, OAK_Set_Compression, iCompression, 0, 0, 0
    
      
      'set input file
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test1.pcl", 0
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test2.pcl", 0
      oakSetOption id, OAK_Set_Input, 0, 0, "./pcl_files/test3.pcl", 0
      
      'strat Convert
      oakExport id
                 
      oakEnd id
   End If
   
   
   
End Sub
