// demo_vcDlg.h : header file
//

#if !defined(AFX_DEMO_VCDLG_H__B3EC57B5_DD17_41B3_BB1F_E1493109F05D__INCLUDED_)
#define AFX_DEMO_VCDLG_H__B3EC57B5_DD17_41B3_BB1F_E1493109F05D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemo_vcDlg dialog


//Definitions of oakSetOption's nIndex properties 
//==============================================================================================================
#define OAK_Set_Output		2101
#define OAK_Set_Input		2102
#define OAK_Set_DPI			2103
#define OAK_Set_ColorDepth	2104
#define OAK_Set_Compression	2108
#define OAK_Set_Quality		2109


//TIFF tag's definitions.
//==============================================================================================================
#define	OAK_COMPRESSION_NONE		1
#define	OAK_COMPRESSION_RLE			2
#define	OAK_COMPRESSION_G3			3
#define	OAK_COMPRESSION_G4			4
#define	OAK_COMPRESSION_LZW			5
#define	OAK_COMPRESSION_JPEG		6
#define	OAK_COMPRESSION_PACKBITS	7


//Color Depth
//==============================================================================================================
typedef enum {
	oak_color_1		=1,		//2 color
	oak_color_4		=4,		//16 color
	oak_color_8_g	=7,		//256 grayscale
	oak_color_8		=8,		//256 color
	oak_color_24	=24		//true color
} OAK_COLOR_DEPTH;


//Interface definitions.
//==============================================================================================================
typedef long	(__stdcall *poakBegin)();
typedef void	(__stdcall *poakEnd)(long id);
typedef long	(__stdcall *poakExport)(long id);
typedef long	(__stdcall *poakSetOption)(long id,long code,long nPara1,long nPara2,char *pPara1,char *pPara2);
typedef long	(__stdcall *poakGetOption)(long id,long code,long nPara1,long nPara2,char *pPara1,char *pPara2);



//==============================================================================================================
class CDemo_vcDlg : public CDialog
{
private:
	HMODULE				hmodule;
	poakBegin			oakBegin;
	poakEnd				oakEnd;
	poakExport			oakExport;
	poakSetOption		oakSetOption;
	poakGetOption		oakGetOption;

	BOOL Load();
	void Free();

// Construction
public:
	CDemo_vcDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemo_vcDlg)
	enum { IDD = IDD_DEMO_VC_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemo_vcDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemo_vcDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonDemo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMO_VCDLG_H__B3EC57B5_DD17_41B3_BB1F_E1493109F05D__INCLUDED_)
